[Ironruby-core] gems and .gemrc

Ivan Porto Carrero ivan at flanders.co.nz
Wed Mar 4 18:24:48 EST 2009


It looks like ironruby isn't happy with a .gemrc file this happens both on
windows and mono.

+ivan at ivan-mbp:~/src/ironruby
(linux)» igem list

*** LOCAL GEMS ***


+ivan at ivan-mbp:~/src/ironruby
(linux)» igem install rake
ERROR:  While executing gem ... (URI::InvalidComponentError)
    bad component(expected absolute path component): latest_specs.4.8
+ivan at ivan-mbp:~/src/ironruby
(linux)» ls ~/.ge*
/Users/ivan/.gemrc

/Users/ivan/.gem:
jruby  latest_source_cache  ruby  source_cache  specs
+ivan at ivan-mbp:~/src/ironruby
(linux)» mv ~/.gemrc ~/.gemrc.old
+ivan at ivan-mbp:~/src/ironruby
(linux)» igem install rake
Successfully installed rake-0.8.4
1 gem installed
Installing ri documentation for rake-0.8.4...
Installing RDoc documentation for rake-0.8.4...
+ivan at ivan-mbp:~/src/ironruby
(linux)»
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://rubyforge.org/pipermail/ironruby-core/attachments/20090305/420d4d6f/attachment.html>


More information about the Ironruby-core mailing list